html,
body {
  margin: 0;
  padding: 0;
  font-family: Sans-Serif;
}

body {
  width: 100vw;
  min-height: 100vh;
  min-height: -webkit-fill-available;
  overflow: hidden;
  background: #e1e1e1;
  display: flex;
  flex-direction: column;
}

html {
  height: -webkit-fill-available;
}


* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

p {
  text-align: center;
}

#container {
  width: 100%;
  flex: 1 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

#container #overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 1.5em;
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease-in-out;
}

.hidden {
  opacity: 0 !important;
  visibility: hidden !important;
}

#settings {
  width: 100%;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: white;
}

#settings > * {
  margin: 10px;
}

button {
  display: flex;
  height: min-content;
  padding: 7px;
  border: solid black 2px;
  background: white;
  color: black;
  font-size: 1.2em;
}

button:hover {
  background: black;
  color: white;
}


#XY svg {
  transition: transform 0.3s ease-in-out;
  transform: rotate(-45deg);
}

#XY.isX svg {
  transform: rotate(45deg);
}

input[type=range] {
  height: 15px;
  -webkit-appearance: none;
  margin: 10px 0;
  width: 100%;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #000000;
  border-radius: 1px;
  border: 0px solid #000000;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0px 0px 0px #000000;
  border: 1px solid #000000;
  height: 22px;
  width: 22px;
  border-radius: 25px;
  background: #FFFFFF;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -9px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #000000;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  animate: 0.2s;
  box-shadow: 0px 0px 0px #000000;
  background: #000000;
  border-radius: 1px;
  border: 0px solid #000000;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 0px 0px 0px #000000;
  border: 1px solid #000000;
  height: 22px;
  width: 22px;
  border-radius: 25px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 5px;
  cursor: pointer;
  animate: 0.2s;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: #000000;
  border: 0px solid #000000;
  border-radius: 2px;
  box-shadow: 0px 0px 0px #000000;
}
input[type=range]::-ms-fill-upper {
  background: #000000;
  border: 0px solid #000000;
  border-radius: 2px;
  box-shadow: 0px 0px 0px #000000;
}
input[type=range]::-ms-thumb {
  margin-top: 1px;
  box-shadow: 0px 0px 0px #000000;
  border: 1px solid #000000;
  height: 22px;
  width: 22px;
  border-radius: 25px;
  background: #FFFFFF;
  cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
  background: #000000;
}
input[type=range]:focus::-ms-fill-upper {
  background: #000000;
}
